Subject: Re: bug#12645: 24.2.50; hang in redisplay

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 25 Oct 2012 09:13:42 -0400

This particular problem is bugging me quite a bit.  It makes inferior
python mode useless to me.  The behavior for me is this:

emacs -Q
M-x run-python

At this point, emacs hangs at 100% on one CPU.  After C-g I am in a
*Python* Inferior Python buffer.  At this point if I type a python
expression (4, for example), emacs hangs.  I have to type C-g at least 3
times in order to get the return value.  Note the type of messages I get
when typing C-g in "Recent messages" below:

In GNU Emacs 24.2.50.1 (i686-pc-linux-gnu, GTK+ Version 2.10.4)
 of 2012-10-23 on waterbuck.yellow.cert.org
Bzr revision: 110636 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
System Description:	Red Hat Enterprise Linux Server release 5.8 (Tikanga)

Configured using:
 `configure '--prefix=/home/mwd' '--without-toolkit-scroll-bars'
 '--with-gif=no' 'CFLAGS=-ggdb3 -O0''

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Sent python-shell-completion-setup-code
Sent python-ffap-setup-code
Sent python-eldoc-setup-code
Error during redisplay: (jit-lock-function 1) signaled (quit)
Error during redisplay: (jit-lock-function 216) signaled (quit)
Error during redisplay: (jit-lock-function 248) signaled (quit)
Error during redisplay: (jit-lock-function 402) signaled (quit)
Error during redisplay: (jit-lock-function 410) signaled (quit)

-- 
Michael Welsh Duggan
([email-masked])